<?php
class BeverageGroup extends DataObject {
	
	function canEdit() {
		return true;
	}
	function canCreate() {
		return true;
	}
	
	function canDelete() {
		return true;
	}
		
	static $db = array (
		'BeverageGroupTitle' => 'Text',
		'BeverageGroupDescription'=> 'Text',
	);
	static $many_many = array(
		'BeverageItems' => 'BeverageItem'
	);
	
	static $searchable_fields = array(
		'BeverageGroupTitle',
	);
	
	static $summary_fields = array(
		'BeverageGroupTitle',
	);
     
    //Fields for the DOM Popup
    public function getCMSFields()
    {
		$fields = new FieldSet(
		    new TextField('BeverageGroupTitle', 'Name of Optional Group'),
		    new TextField('BeverageGroupDescription', 'Description of Optional Group'),
			new ManyManyComplexTableField($this,'BeverageItems','BeverageItem')
		);
		return $fields;
    }
}
?>