<?php
class BeverageItem extends DataObject {
	
	function canEdit() {
		return true;
	}
	
	
	function canCreate() {
		return true;
	}
	
	function canDelete() {
		return true;
	}
		
	static $db = array (
		'BeverageTitle' => 'Text',
		'BeverageLocation' => 'Text',
	);
	
	static $belong_many_many = array(
		'BeverageGroups' => 'BeverageGroup'
	);

	static $searchable_fields = array(
		'BeverageTitle',
	);
	
	static $summary_fields = array(
		'BeverageTitle',
	);
     
    //Fields for the DOM Popup
    public function getCMSFields()
    {
        return new FieldSet(
            new TextField('BeverageTitle', 'Beverage Title'),
            new TextField('BeverageLocation', 'Beverage Location')
		);
    }
}
?>